Tags
Tags are user-defined labels applied to prompts within a Brand Kit. They are typically used to filter analytics by arbitrary groupings (e.g. priority, campaign, theme) that go beyond topics.
The Brand Kit ID
The ID of the Brand Kit
Sort field. Prefix with - for descending.
Available sort fields:
- name/-name: Sort alphabetically by tag name
- created_at/-created_at: Sort by creation date
Page number
1Items per page
25Successful response
Bad request - invalid parameters, filters, or sort options
Unauthorized - invalid or missing authentication token
Not found - resource does not exist
Precondition failed - AEO not configured for this brand kit
POST /public_api/brand_kits/{brand_kit_id}/tags/list HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 133
{
"brand_kit_id": 1,
"filters": [
{
"field": "name",
"operator": "EQUALS",
"value": null
}
],
"fields": [
"id"
],
"sort": "name",
"page": 1,
"per_page": 25
}{
"data": [
{
"id": 1,
"name": "text",
"color": "text"
}
],
"meta": {
"page": 1,
"per_page": 1,
"total_count": 1,
"total_pages": 1
}
}Tags are user-defined labels applied to prompts within a Brand Kit. They are typically used to filter analytics by arbitrary groupings (e.g. priority, campaign, theme) that go beyond topics.
The Brand Kit ID
The resource ID
Successful response
Bad request - invalid parameters, filters, or sort options
Unauthorized - invalid or missing authentication token
Not found - resource does not exist
Precondition failed - AEO not configured for this brand kit
GET /public_api/brand_kits/{brand_kit_id}/tags/{id} HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": 1,
"name": "text",
"color": "text"
}
}Last updated
Was this helpful?